How does (HW) architecture affect Performance
=============================================

[Performance Equation](http://en.wikipedia.org/wiki/Computer_performance#Performance_Equation)

    t=N*C/f , or equivalently
    P=I*f/N

> N is not affected by other processes running on the same processor. The
> significant point here is that hardware normally does not keep track of (or
> at least make easily available) a value of N for executed programs. The
> value can therefore only be accurately determined by instruction set
> simulation, which is rarely practiced.

[Surge 2012 ~ Baron Schwartz ~ Automated Fault Detection That Works](http://www.youtube.com/watch?v=t8dg9EgucUs)

[Building a SPARC cloud (at Oracle Day in Budapest)](http://www.oracle.com/events/emea/en/oracleday2012/budapest/index.html)


[Profiling Magento with XDebug (German)](http://www.magentoperformance.de/2012/10/warum-ist-der-jetzt-so-langsam-uber-die-wichtigkeit-von-xdebug/)


## Latencies ##

[What Your Computer Does While You Wait](http://duartes.org/gustavo/blog/post/what-your-computer-does-while-you-wait)
[+ Discussion on HN](http://news.ycombinator.com/item?id=702713)


## Profiling ##

[Profiling Java](http://stackoverflow.com/questions/2422289/any-recommended-java-profiling-tutorial#2425217)
[Performance Optimization Strategies, last resort](http://stackoverflow.com/questions/926266/performance-optimization-strategies-of-last-resort/927773#927773)
[Using a profiler](http://stackoverflow.com/questions/375913/what-can-i-use-to-profile-c-code-in-linux/378024#378024)
[Controversial Opinion: Finding Performance Problems isn't about Measuring it's about capturing](http://stackoverflow.com/questions/406760/whats-your-most-controversial-programming-opinion/1562802#1562802)
[The gprof myth](http://stackoverflow.com/questions/1777556/alternatives-to-gprof/1779343#1779343)

[Xdebug](http://www.xdebug.org/)
[Samurai](http://yusuke.homeip.net/samurai/en/index.html)

## Improving Performance: Update the Environment! ##

[Improving HBase Read Performance](http://hadoopstack.com/improving-hbase-read-performance/)
